# Invitations

Source: https://docs.elnora.ai/docs/api/reference/invitations
Last modified: 2026-09-08T22:35:25-06:00

> Invitations endpoints of the Elnora REST API.

Base URL `https://platform.elnora.ai/api/v1`. Authenticate every request with the `X-API-Key` header — see [Authentication](https://docs.elnora.ai/docs/get-started/authentication).

## `GET` /invitations/&#123;token&#125;

Get invitation details by token (public endpoint for invitation page)

```bash
curl https://platform.elnora.ai/api/v1/invitations/{token} \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `token` | path | string | yes |

**Responses**: `200` · `404`

## `POST` /invitations/&#123;token&#125;/accept

Accept an invitation and join the organization

```bash
curl -X POST https://platform.elnora.ai/api/v1/invitations/{token}/accept \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `token` | path | string | yes |

**Responses**: `200` · `400` · `401`

## `GET` /organizations/&#123;organizationId&#125;/invitations

Get all unaccepted invitations for the organization (both pending and expired).

```bash
curl https://platform.elnora.ai/api/v1/organizations/{organizationId}/invitations \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `organizationId` | path | uuid | yes |

**Responses**: `200` · `403`

## `POST` /organizations/&#123;organizationId&#125;/invitations

Create and send an invitation to join the organization

```bash
curl -X POST https://platform.elnora.ai/api/v1/organizations/{organizationId}/invitations \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "email": "user@example.com" }'
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `organizationId` | path | uuid | yes |

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `email` | email | yes |
| `role` | string | no |

**Responses**: `200` · `400` · `403`

## `DELETE` /organizations/&#123;organizationId&#125;/invitations/&#123;invitationId&#125;

Cancel a pending invitation

```bash
curl -X DELETE https://platform.elnora.ai/api/v1/organizations/{organizationId}/invitations/{invitationId} \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `organizationId` | path | uuid | yes |
| `invitationId` | path | uuid | yes |

**Responses**: `200` · `400` · `403`

## `POST` /organizations/&#123;organizationId&#125;/invitations/&#123;invitationId&#125;/resend

Resend an invitation email.

```bash
curl -X POST https://platform.elnora.ai/api/v1/organizations/{organizationId}/invitations/{invitationId}/resend \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `organizationId` | path | uuid | yes |
| `invitationId` | path | uuid | yes |

**Responses**: `200` · `400` · `403`
